ASSEMBLY
Resistors/transistors are SMD parts of reasonable size and easy to hand assemble.
LED emitters/phototransistors and the small header are TH (through-hole) parts.
Inclinometer vial is held in place by a pair of TH AA battery clips; squeeze them a little for a tight fit. Recommend a little silicon rubber between the vial and the clip to secure it after test.

CIRCUIT OPERATION (Schematic is a KICAD file: YAW_BOARD.sch)
Designed for 5V supply, 3.3v - 6V acceptable. Any reasonable voltage will work, with appropriate resistor value changes.
There are three detector sections: left, center and right, which refer to the locations of the LED/phototransistor pairs, as seen by looking at the component side. The output transistor for each section is connected to a header pin. If the ball is located between the emitter and it's respective phototransistor the output drops to a logic LOW; otherwise it's a logic HIGH. Any tilt exceeding about 5 degrees will cause the ball to slide over to the left or right detector. This can also result from "skidding" forces generated during a turn in a car, aircraft, drone etc. Test is very simple: Just apply power and tilt the board to position the ball as desired, ensuring that the correct switching action is observed. NOTE: Output pull-up resistors are included on the board; as a result, none are required at the input ports of microcontrollers or other devices, for example.

BOARD PHOTO
This is the upper board in the photo, a little blurry, but should convey the overall appearance.